/**
 * @see https://umijs.org/zh-CN/plugins/plugin-access
 * */
import type { CurrentUser } from '@/pages/user/data';
export default function access(initialState: { currentUser?: CurrentUser } | undefined) {
  const { currentUser } = initialState ?? {};
  return {
    routeFilter: (route: { path: string }) => {
      const permissions =
        (
          currentUser?.permissions.filter((it) => {
            return it.type === 'route';
          }) || []
        ).map((it) => it.permission) || [];
      return permissions.includes(route.path);
    },
    buttonFilter: (key: string) => {
      const permissions =
        (
          currentUser?.permissions.filter((it) => {
            return it.type === 'button';
          }) || []
        ).map((it) => it.permission) || [];
      return permissions.includes(key);
    },
  };
}
