import { request } from '@@/plugin-request/request';
import type { UploadTaskAddParams, UploadTaskResult } from './data';

export async function addUploadTask(body: UploadTaskAddParams, options?: Record<string, any>) {
  return request<API.Result<UploadTaskResult>>('/api/upload/addTask', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function uploadTaskList(
  params: { current?: number; pageSize?: number; [key: string]: any },
  options?: Record<string, any>,
) {
  const { current, pageSize } = params;
  delete params.current;
  delete params.pageSize;
  return request<API.Result<API.Page<UploadTaskResult>>>('/api/upload/list', {
    method: 'GET',
    params: {
      ...params,
      page: current,
      limit: pageSize,
    },
    ...(options || {}),
  });
}
