import type { PropsWithChildren } from 'react';
import React, { useState } from 'react';
import { PageContainer } from '@ant-design/pro-components';
import { Button } from 'antd';
import EditUser from './components/edit';
import { Link } from 'umi';

const UserSettings: React.FC<PropsWithChildren<any>> = (props) => {
  const user_id = props.match.params.id;
  const searchParams = props.location.state?.searchParams || {};

  const [tab, setTab] = useState('base');

  return (
    <PageContainer
      header={{ title: '编辑运营账户' }}
      extra={[
        <Button key="back" type="primary">
          <Link to={{ pathname: `/user/list`, state: { searchParams } }}>返回</Link>
        </Button>,
      ]}
      tabList={[{ tab: '基本信息', key: 'base' }]}
      onTabChange={setTab}
    >
      {tab === 'base' && <EditUser title={'基本设置'} user_id={user_id} />}
    </PageContainer>
  );
};
export default UserSettings;
